commit 93a1c99b015395ebdfaebf7ff3512b2f9445d5e4
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Apr 28 11:22:26 2023 +0100

    libstdc++: Strip absolute paths from files shown in Doxygen docs
    
    This avoids showing absolute paths from the expansion of
    @srcdir@/libsupc++/ in the doxygen File List view.
    
    libstdc++-v3/ChangeLog:
    
            * doc/doxygen/user.cfg.in (STRIP_FROM_PATH): Remove prefixes
            from header paths.
    
    (cherry picked from commit 975e8e836ead0e9055a125a2a23463db5d847cb3)

diff --git a/libstdc++-v3/doc/doxygen/user.cfg.in b/libstdc++-v3/doc/doxygen/user.cfg.in
index b5ab9e9413b..b02de4f29f3 100644
--- a/libstdc++-v3/doc/doxygen/user.cfg.in
+++ b/libstdc++-v3/doc/doxygen/user.cfg.in
@@ -152,7 +152,7 @@ FULL_PATH_NAMES        = NO
 # will be relative from the directory where doxygen is started.
 # This tag requires that the tag FULL_PATH_NAMES is set to YES.
 
-STRIP_FROM_PATH        =
+STRIP_FROM_PATH        = @srcdir@/doc/ @srcdir@/libsupc++/ include/
 
 # The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of the
 # path mentioned in the documentation of a class, which tells the reader which
@@ -786,6 +786,7 @@ WARN_LOGFILE           =
 # spaces. See also FILE_PATTERNS and EXTENSION_MAPPING
 # Note: If this tag is empty the current directory is searched.
 
+# N.B. update STRIP_FROM_PATH to sanitize paths outside the build tree.
 INPUT                  = @srcdir@/doc/doxygen/doxygroups.cc \
                          @srcdir@/libsupc++/compare \
                          @srcdir@/libsupc++/cxxabi.h \

